# std::any::reset

From cppreference.com
< cpp‎ | utility‎ | any

void reset() noexcept; |  | (since C++17)

If *this contains a value, destroys the contained value.

*this does not contain a value after this call.

### Parameters

(none)

### Return value

(none)

### Example

Run this code

    #include <any>
    #include <cassert>

    int main()
    {
        std::any a{42};
        assert(a.has_value());
        a.reset();
        assert(not a.has_value());
    }

### See also

has_value | checks if object holds a value (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/utility/any/reset&oldid=175522"